Update Live Sharing Link.
Rate limit: 100 requests/min (learn more about rate limits here).
To use this endpoint, select Write Live Sharing Links under the Driver Workflow category when creating or editing an API token. Learn More.
Submit Feedback: Likes, dislikes, and API feature requests should be filed as feedback in our API feedback form. If you encountered an issue or noticed inaccuracies in the API documentation, please submit a case to our support team.
curl --request PATCH \
--url https://api.samsara.com/live-shares \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "Example Live Sharing Link name",
"description": "Sample description",
"expiresAtTime": "2020-01-27T07:06:25Z"
}
'{
"data": {
"id": "leesdwqjx42dkvp86so",
"liveSharingUrl": "https://cloud.samsara.com/o/123456/fleet/viewer/address/7hf4lnu455wep22rtun",
"name": "Example Live Sharing Link name",
"type": "assetsLocation",
"assetsLocationLinkConfig": {
"assetId": "1234",
"location": {
"formattedAddress": "1990 Alameda Street, San Francisco, CA 94103",
"latitude": 37.456345,
"longitude": 34.5633749,
"name": "Suburbs"
},
"tags": [
{
"id": "3914",
"name": "East Coast",
"parentTagId": "4815"
}
]
},
"assetsNearLocationLinkConfig": {
"addressId": "1234"
},
"assetsOnRouteLinkConfig": {
"recurringRouteId": "1234"
},
"description": "Sample description",
"expiresAtTime": "2020-01-27T07:06:25Z"
}
}Documentation Index
Fetch the complete documentation index at: https://samsara-showcase.mintlify.app/llms.txt
Use this file to discover all available pages before exploring further.
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Unique identifier for the Live Sharing Link.
Name of the Live Sharing Link.
255"Example Live Sharing Link name"
Description for the Live Sharing Link (not applicable for 'assetsOnRoute' type).
255"Sample description"
Date that this link expires in RFC 3339 format. Can't be set in the past. If not provided then link will never expire.
"2020-01-27T07:06:25Z"
OK response.
Live Sharing Link object
Show child attributes
curl --request PATCH \
--url https://api.samsara.com/live-shares \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "Example Live Sharing Link name",
"description": "Sample description",
"expiresAtTime": "2020-01-27T07:06:25Z"
}
'{
"data": {
"id": "leesdwqjx42dkvp86so",
"liveSharingUrl": "https://cloud.samsara.com/o/123456/fleet/viewer/address/7hf4lnu455wep22rtun",
"name": "Example Live Sharing Link name",
"type": "assetsLocation",
"assetsLocationLinkConfig": {
"assetId": "1234",
"location": {
"formattedAddress": "1990 Alameda Street, San Francisco, CA 94103",
"latitude": 37.456345,
"longitude": 34.5633749,
"name": "Suburbs"
},
"tags": [
{
"id": "3914",
"name": "East Coast",
"parentTagId": "4815"
}
]
},
"assetsNearLocationLinkConfig": {
"addressId": "1234"
},
"assetsOnRouteLinkConfig": {
"recurringRouteId": "1234"
},
"description": "Sample description",
"expiresAtTime": "2020-01-27T07:06:25Z"
}
}